com.amazonaws.services.codebuild.model

## Class EnvironmentPlatform

- java.lang.Object
- - com.amazonaws.services.codebuild.model.EnvironmentPlatform

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentPlatform
    extends Object
    implements Serializable, Cloneable

A set of Docker images that are related by platform and are managed by AWS CodeBuild.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentPlatform()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentPlatform` `clone()`
`boolean` `equals(Object obj)`
`List<EnvironmentLanguage>` `getLanguages()` The list of programming languages that are available for the specified platform.
`String` `getPlatform()` The platform's name.
`int` `hashCode()`
`void` `setLanguages(Collection<EnvironmentLanguage> languages)` The list of programming languages that are available for the specified platform.
`void` `setPlatform(PlatformType platform)` The platform's name.
`void` `setPlatform(String platform)` The platform's name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentPlatform` `withLanguages(Collection<EnvironmentLanguage> languages)` The list of programming languages that are available for the specified platform.
`EnvironmentPlatform` `withLanguages(EnvironmentLanguage... languages)` The list of programming languages that are available for the specified platform.
`EnvironmentPlatform` `withPlatform(PlatformType platform)` The platform's name.
`EnvironmentPlatform` `withPlatform(String platform)` The platform's name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentPlatform

    public EnvironmentPlatform()

### Method Detail

#### setPlatform

    public void setPlatform(String platform)

The platform's name.

Parameters:
  `platform` - The platform's name.
See Also:
  `PlatformType`

#### getPlatform

    public String getPlatform()

The platform's name.

Returns:
  The platform's name.
See Also:
  `PlatformType`

#### withPlatform

    public EnvironmentPlatform withPlatform(String platform)

The platform's name.

Parameters:
  `platform` - The platform's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PlatformType`

#### setPlatform

    public void setPlatform(PlatformType platform)

The platform's name.

Parameters:
  `platform` - The platform's name.
See Also:
  `PlatformType`

#### withPlatform

    public EnvironmentPlatform withPlatform(PlatformType platform)

The platform's name.

Parameters:
  `platform` - The platform's name.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `PlatformType`

#### getLanguages

    public List<EnvironmentLanguage> getLanguages()

The list of programming languages that are available for the specified platform.

Returns:
  The list of programming languages that are available for the specified platform.

#### setLanguages

    public void setLanguages(Collection<EnvironmentLanguage> languages)

The list of programming languages that are available for the specified platform.

Parameters:
  `languages` - The list of programming languages that are available for the specified platform.

#### withLanguages

    public EnvironmentPlatform withLanguages(EnvironmentLanguage... languages)

The list of programming languages that are available for the specified platform.

NOTE: This method appends the values to the existing list (if any). Use `setLanguages(java.util.Collection)` or `withLanguages(java.util.Collection)` if you want to override the existing values.

Parameters:
  `languages` - The list of programming languages that are available for the specified platform.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withLanguages

    public EnvironmentPlatform withLanguages(Collection<EnvironmentLanguage> languages)

The list of programming languages that are available for the specified platform.

Parameters:
  `languages` - The list of programming languages that are available for the specified platform.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentPlatform clone()

Overrides:
  `clone` in class `Object`